Bug 543859 - Preupgrade partially ignores local yum repo
Preupgrade partially ignores local yum repo
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
11
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-03 05:36 EST by Bernard Fouché
Modified: 2014-01-21 18:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 11:32:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bernard Fouché 2009-12-03 05:36:00 EST
Description of problem:

Can't have preupgrade to use only local yum repos.

Version-Release number of selected component (if applicable):

preupgrade-1.1.3

How reproducible:

Always.

Steps to Reproduce:

I set up local repos for yum. These are copies of the DVD iso images for F11 & F12 including copies of '.treeinfo' (cp -rp DVD-iso-mounted-on-loop/* /myrepo).

I try to preupgrade a test computer from F11 to F12.

I defined local repos in releases.txt & releases.list of the test computer, and updated also /etc/yum.repos.d/*. (It's still unclear what file is considered or if both files are required).

Actual results:

mirrors.fedoraproject.org is considered by preupgrade whatever are my repo definitions.

F11 & F12 local repos are accessed by preupgrade (looking at the httpd logs. BTW I don't have any log in error_log, only on access_log so I guess that my repo settings are correct). I wonder why the F11 repo is accessed by preupgrade...

.treeinfo is always fetched from the Internet, as the install images. When looking at the httpd access_log file, .treeinfo is not even read from the local repos.

All packages were correctly read from the local F12 repo. So the speed up is here, but time & bandwidth are lost on install images & .treeinfo.

Expected results:

No access to external repos at all if all the needed data is available in local repos.

Additional info:

This could be only a documentation problem about repos requirements for preupgrade, I found many tutos about how to setup yum repos, none about specific preupgrade requirements to use local repos.

I looked at https://fedorahosted.org/preupgrade with no more luck. On that site, tickets #15 & #58 seem to be related to this problem. Did not find a way to enter a new ticket, so I went to bugzilla.redhat.com .
Comment 1 Bug Zapper 2010-04-28 07:30:36 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-06-28 11:32:34 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.